#ifndef GENERIC_API__STAT_VFS_DIRECT_HH
#define GENERIC_API__STAT_VFS_DIRECT_HH

#include "genericAPI/SysCallInterface.hh"

struct statvfs;

namespace GenericAPI
{
  class StatVFSDirect
    : public SysCallInterface
  {
  public:
    typedef struct statvfs buf_type;

    StatVFSDirect( );
    ~StatVFSDirect( );

    virtual void Init( );

    virtual std::string Debug( ) const;

    virtual int StatVFS( const std::string& FileName, buf_type& Buf ) const;

    virtual StatVFSDirect* vnew( ) const;
  };
}

#endif /* GENERIC_API__STAT_VFS_DIRECT_HH */
